Skip to Content
Distributed NewSQL Database(TiDB)ModifyTiDBClusterUhostSpecs

modify tidb cluster uhost specs - ModifyTiDBClusterUhostSpecs

Overview

modify tidb cluster uhost specs

Definition

Public Parameters

Parameter NameTypeDescription InformationRequired
ActionstringCorresponding API command name, the current API is ModifyTiDBClusterUhostSpecs.Yes
PublicKeystringThe user’s public key can be obtained from Console Yes
SignaturestringUser signature generated based on public key and API command, see Signature AlgorithmYes

Request Parameters

Parameter NameTypeDescription InformationRequired
RegionstringRegion. See Region and Zone ListYes
IdstringTiDB service idYes
NodeConfig.ServerTypestringnode server typeYes
NodeConfig.ConfigIdstringnode config idYes
StartTimeintstart timeNo

Response Field

Field NameTypeDescription InformationRequired
RetCodeintReturn status code. If it is 0, it means successful return. If it is not 0, it means failure.Yes
ActionstringOperation command name.Yes
MessagestringReturns an error message, providing detailed description when RetCode is non-zero.No
ServiceIdstringTiDB service idYes

Example

Request Example

https://api.ucloud-global.com/?Action=ModifyTiDBClusterUhostSpecs &Region=cn-zj &Id=gwyFLjAq &NodeConfig.ServerType=kOpOuzhp &NodeConfig.ConfigId=nujlRqva &StartTime=8

Response Example

{ "Action": "ModifyTiDBClusterUhostSpecsResponse", "RetCode": 0, "ServiceId": "YCXCmoIs" }